Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05191 Save/Restore Major Always May 14, 2013, 10:25 Mar 23, 2021, 17:50
Tester sbeasley2808 View Status Public Platform
Assigned To Ryan Holtz Resolution Fixed OS
Status [?] Resolved Driver megadriv.cpp
Version 0.148u4 Fixed in Version 0.230 Build
Fixed in Git Commit 19b9f02 Github Pull Request # #7883
Summary MESS-specific 05191: megadriv [evander,wboymw]: EEPROM values not written for saved game
Description Games that normal save progress to EEPROM do not save any file to nvram. A file called "mdslot_rom_eeprom_i2cmem" is saved but does not seem to contain any data for continuing on with EEPROM games.

This bug also effects saving for Sports Talk Baseball and Wonder Boy in Monster World and possibly others.
Steps To Reproduce evander: Start game, play game. Get to a point during gameplay when you are asked to save progression. After accepting the save progress the saved game data is not backed up. Starting the game again does not show "continue career".
wboymw: Start game, get to the first inn, select YES-YES-NO (want to rest and quit after saving). Game is supposed to give a continue option after pressing start on title screen.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems megadriv [evander,wboymw]
Attached Files
png file icon 0001.png (9,261 bytes) Aug 25, 2020, 01:05 Uploaded by Andrew
sporttbb
Andrew
Relationships
has duplicate 07901Closed  wboymw: Freeze when trying to save ingame 
Notes
5
User avatar
No.09488
etabeta
Developer
May 14, 2013, 15:48
true. through the debugger you can see that data is written to the eeprom when you save, and such data is saved and reloaded when you restart the game. but then the game ignores the data, as if it had been written in incorrect format and if it assumes nothing valid had been saved.
User avatar
No.11813
byblo
Tester
Jul 3, 2015, 12:23
Here, for the case of Wonderboy in monster world (wboymw) the file is written, but without any valid datas... (only contains 0xFF values)

Also, why is a folder created, with inside a weird name without any extension? --> \nvram\genesis\wboymw\mdslot_rom_eeprom_i2cmem (128bytes)

As comparison, In the case of Monster World 4, the file is correctly saved as: \nvram\genesis\mworld4.nv (1024bytes)
User avatar
No.16230
Kale
Developer
Mar 9, 2019, 14:14
Monster World 4 uses backup ram iirc, so it's not relevant to games using i2c eeprom.
The full list where an i2c is hooked up can be seen in hash/megadriv.xml, finding for "slot=rom_eeprom".
User avatar
No.17907
Andrew
Tester
Aug 25, 2020, 01:04
Still an issue with sporttbb in 0.223. Unable to start a game. Get "EEPROM ACCESS ERROR" after selecting START and a couple of seconds following "NOW CHECKING DATA". See snapshot.
User avatar
No.17926
Heihachi_73
Tester
Aug 30, 2020, 11:36
Yep, noticed my saves weren't working when I was adding a few Mega Man: The Wily Wars cheats last month (the game didn't save anything at all, not even when beating a Robot Master), mentioned it on the MAMEWorld forum a few weeks ago but didn't think much about it at the time.

https://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=387515